Proposal to remove Python 2 support

Pedro Alves pedro@palves.net
Fri Sep 18 17:35:14 GMT 2020


On 9/18/20 6:13 PM, Mikhail.Terekhov--- via Gdb wrote:
>> From: Gdb <gdb-bounces@sourceware.org> On Behalf Of Tom Tromey
>>
>> Pedro> Dropping Python 2 support is going to be an issue for us, given 
>> Pedro> we will still have a couple years more of DTS releases for RHEL 
>> Pedro> 7, which is Python 2.7 based.
>>
>>>> RHEL 7 comes with Python 3.6 as well.
>>
>> I think the issue must be that gdb is built against Python 2 on RHEL 7.
> 
> If they would want to update to the new major version of gdb they would build it with Python3. What is the problem?

It would break compatibility with pretty printers, user scripts, and
require Python3 versions of Python libraries scripts may load.

Pedro Alves


More information about the Gdb mailing list